<?php

declare(strict_types=1);

namespace Dedi\SyliusCustomerPoolPlugin\Repository;

use Dedi\SyliusCustomerPoolPlugin\Model\CustomerPool;
use Sylius\Component\Resource\Repository\RepositoryInterface;
use Sylius\Component\User\Model\UserInterface;
use Sylius\Component\User\Repository\UserRepositoryInterface;

interface UserWithCustomerPoolRepositoryInterface extends RepositoryInterface, UserRepositoryInterface
{
    public function findOneByEmailAndCustomerPool(string $email, ?CustomerPool $customerPool): ?UserInterface;
}
